<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="V5Shop.Web.pollview" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="V5Shop.Common" %>
<%@ Import namespace="Microsoft.Practices.EnterpriseLibrary.Caching" %>
<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by V5Shop Template Engine at 2009-5-15 23:25:08.
		本页面代码由V5Shop模板引擎生成于 2009-5-15 23:25:08. 
	*/

	base.OnInit(e);
	
	int votedetail__loop__id=0;
	int voteoptionsearch__loop__id=0;templateBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	templateBuilder.Append("<html>\r\n");
	templateBuilder.Append("    <head><base href=\"http://localhost/0418/template/default/\" />\r\n");
	templateBuilder.Append("        <title>查看投票结果</title>\r\n");
	templateBuilder.Append("        <!--Created Page at 2008-8-8 18:47:50,by V5Shop.com.cn   V5Shop Management Systeme 8.0-->\r\n");
	templateBuilder.Append("        <meta content=\"text/html; charset=utf-8\" http-equiv=\"Content-Type\" />\r\n");
	templateBuilder.Append("        <link href=\"css/css.css\" type=\"text/css\" rel=\"stylesheet\" />\r\n");
	templateBuilder.Append("        <link href=\"css/css_others.css\" type=\"text/css\" rel=\"stylesheet\" />\r\n");
	templateBuilder.Append("    </head>\r\n");
	templateBuilder.Append("    <body>\r\n");
	templateBuilder.Append("        <div class=\"prolabel2\"><img height=\"32\" alt=\"\" width=\"214\" src=\"images/others/pulllabel2.gif\" /></div>\r\n");
	templateBuilder.Append("        <br />\r\n");
	templateBuilder.Append("        \r\n");
	
	votedetail__loop__id=0;
	foreach(DataRow votedetail_member in getTable("votedetail","["+cid+"]").Rows)
	{
	if(votedetail__loop__id == 1 && votedetail__loop__id != 0) break;
		votedetail__loop__id++;
	templateBuilder.Append(" <table width=\"96%\" border=\"0\" align=\"center\" cellpadding=\"5\" cellspacing=\"0\" style=\"border:1px #CCCCCC dashed; margin-bottom:20px\">\r\n");
	templateBuilder.Append("	<tr>\r\n");
	templateBuilder.Append("	  <td height=\"50\" style=\"border:1px #CCCCCC dashed; background:#F3F3F3\">" + votedetail_member["title"].ToString() + "</td>\r\n");
	templateBuilder.Append("	</tr>\r\n");
		 
	voteoptionsearch__loop__id=0;
	foreach(DataRow voteoptionsearch_member in getTable("voteoptionsearch","id$name$voteid$count$orderid").Rows)
	{
		voteoptionsearch__loop__id++;
		  	
	if(voteoptionsearch_member["voteid"].ToString() == cid.ToString()){
	templateBuilder.Append("	<tr>\r\n");
	templateBuilder.Append("	  <td height=\"20\">\r\n");
	templateBuilder.Append("			" + voteoptionsearch_member["orderid"].ToString() + ". <label for=\"vote_" + voteoptionsearch_member["id"].ToString() + "\">" + voteoptionsearch_member["name"].ToString() + "</label>\r\n");
	templateBuilder.Append("		[	<b style=\"color:#00C0C0\">" + voteoptionsearch_member["count"].ToString() + "</b> 次  ]\r\n");
	templateBuilder.Append("	  </td>\r\n");
	templateBuilder.Append("	</tr>\r\n");
			
	}	//end if
		  
	}	//end loop
	  templateBuilder.Append("  </table>\r\n");
	
	}	//end loop
	  templateBuilder.Append("\r\n");
	templateBuilder.Append("    </body>\r\n");
	templateBuilder.Append("</html>\r\n");
	
templateBuilder.Append("<center style='font-size:12px;'>Designed By：<strong><a href='http://www.v5shop.com.cn/' target='_blank'>V5Shop</a></strong></center>");
	Response.Write(templateBuilder.ToString());
//init cache
	CacheManager testcaching = CacheFactory.GetCacheManager();
	if(!testcaching.Contains(Request.Url.ToString()))
	{
		testcaching.Add(Request.Url.ToString(), templateBuilder.ToString());
	}
}
</script>
